Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1481)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1482)
@@ -53,11 +53,25 @@
 <node CREATED="1171124926993" ID="Freemind_Link_1838352082" LINK="../profiles/default/schemas/student.xml" MODIFIED="1171353152905" TEXT="Schema: student"/>
 <node CREATED="1171124982312" ID="Freemind_Link_1037588671" LINK="../profiles/default/layouts/student.xml" MODIFIED="1171353165422" TEXT="Layout: student"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172156562631" TEXT="Grafik"/>
+</node>
 <node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1171894825978" TEXT="Accommodation Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1398132513" MODIFIED="1171894857194" TEXT="Id: accommodation06"/>
 <node CREATED="1170083603042" ID="Freemind_Link_4951906" LINK="../profiles/default/types/StudentAccommodation.xml" MODIFIED="1171894888465" TEXT="Type: StudentAccommodation"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171895045243" TEXT="Schema: student_accommodation"/>
-<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1170883350237" TEXT="Forms">
-<node CREATED="1170883352226" ID="Freemind_Link_847687960" MODIFIED="1170883352226" TEXT=""/>
+<node CREATED="1171353188624" ID="Freemind_Link_1027526284" LINK="../profiles/default/workflows/waeup_student_accommodation_wf/definition.xml" MODIFIED="1172163355400" TEXT="Workflow: waeup_student_accommodation_wf"/>
+<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1172157052630" TEXT="UserInterface">
+<node CREATED="1172157054665" ID="Freemind_Link_123552519" MODIFIED="1172157080893" TEXT="Students">
+<node CREATED="1171362489012" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
+<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="Script: reserve_accommodation"/>
+<node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1172163898958" TEXT="PT: accommodation_pin_edit_form"/>
+<node CREATED="1171124926993" ID="Freemind_Link_59643823" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171377094450" TEXT="Schema: student_accommodation"/>
+<node CREATED="1171124982312" ID="Freemind_Link_1633331359" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1171377120846" TEXT="Layout: student_accommodation_fe"/>
+</node>
+</node>
+<node CREATED="1172160956421" ID="Freemind_Link_1200464160" MODIFIED="1172160963595" TEXT="Officers">
+<node CREATED="1172160965772" ID="Freemind_Link_1519551515" LINK="../skins/waeup_accommodation/change_bed.py" MODIFIED="1172162566492" TEXT="change_bed"/>
+<node CREATED="1172160986371" ID="Freemind_Link_193689339" LINK="../skins/waeup_accommodation/release_bed.py" MODIFIED="1172162574968" TEXT="release_bed"/>
+</node>
 </node>
 </node>
@@ -66,6 +80,16 @@
 <node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
 <node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
-<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1170883350237" TEXT="Forms">
-<node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1170883352226" TEXT=""/>
+<node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="Userinterface">
+<node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172163941857" TEXT="application_view"/>
+<node CREATED="1172163808013" ID="Freemind_Link_1401098992" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172163957342" TEXT="application_slip"/>
+<node CREATED="1172163996819" ID="Freemind_Link_831789893" MODIFIED="1172164000950" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172164067504" TEXT="application_edit_form">
+<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172164181673" TEXT="Layout: student_application_fe"/>
+</node>
+<node CREATED="1172164034257" ID="Freemind_Link_730244959" MODIFIED="1172164034257" TEXT=""/>
+</node>
+</node>
 </node>
 </node>
@@ -82,15 +106,15 @@
 <node CREATED="1170082392807" FOLDED="true" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
 <node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
-<node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1171009934935" TEXT="Type: StudentStudyCourse"/>
+<node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1172159914623" TEXT="Type: StudentStudyCourse"/>
 <node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
-<node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1171016046195" TEXT="Layout: student_study_course"/>
-<node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1171711217079" TEXT="{StudentStudyLevels}">
-<node CREATED="1171711225441" ID="Freemind_Link_1643185567" MODIFIED="1171711235025" TEXT="Type: StudentStudyLevel"/>
-<node CREATED="1171711252019" ID="Freemind_Link_1974988388" MODIFIED="1171711274712" TEXT="Schema: student_study_level"/>
-<node CREATED="1171711275042" ID="Freemind_Link_744562017" MODIFIED="1171711278918" TEXT="Layout: student_study_level"/>
-<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1171711249205" TEXT="{CourseResults}">
-<node CREATED="1171711590937" ID="Freemind_Link_519794554" MODIFIED="1171711604937" TEXT="Type: StudentCourseResult"/>
-<node CREATED="1171711647027" ID="Freemind_Link_1880871196" MODIFIED="1171711660326" TEXT="Schema: student_course_result"/>
-<node CREATED="1171711617014" ID="Freemind_Link_797419415" MODIFIED="1171711642651" TEXT="Layout: student_course_result"/>
+<node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1172157227132" TEXT="Layout: student_study_course"/>
+<node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1172160254466" TEXT="StudentStudyLevels">
+<node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
+<node CREATED="1171711252019" ID="Freemind_Link_1974988388" LINK="../profiles/default/schemas/student_study_level.xml" MODIFIED="1172160137485" TEXT="Schema: student_study_level"/>
+<node CREATED="1171711275042" ID="Freemind_Link_744562017" LINK="../profiles/default/layouts/student_study_level.xml" MODIFIED="1172157370844" TEXT="Layout: student_study_level"/>
+<node CREATED="1170082419140" ID="Freemind_Link_1356993815" MODIFIED="1172160235141" TEXT="CourseResults">
+<node CREATED="1171711590937" ID="Freemind_Link_519794554" LINK="../profiles/default/types/StudentCourseResult.xml" MODIFIED="1172160113608" TEXT="Type: StudentCourseResult"/>
+<node CREATED="1171711647027" ID="Freemind_Link_1880871196" LINK="../profiles/default/schemas/student_course_result.xml" MODIFIED="1172160183100" TEXT="Schema: student_course_result"/>
+<node CREATED="1171711617014" ID="Freemind_Link_797419415" LINK="../profiles/default/layouts/student_course_result.xml" MODIFIED="1172160204262" TEXT="Layout: student_course_result"/>
 </node>
 </node>
@@ -106,5 +130,5 @@
 </node>
 </node>
-<node CREATED="1171379675232" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
+<node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
 <node CREATED="1171379691280" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
 <node CREATED="1171379710053" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
@@ -116,5 +140,5 @@
 </node>
 <node CREATED="1172016304181" ID="Freemind_Link_831833270" MODIFIED="1172016314036" TEXT="Students">
-<node CREATED="1171379710053" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
+<node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
 <node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="Script: change_password"/>
 <node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1172016392094" TEXT="PT: change_password_form"/>
@@ -122,8 +146,14 @@
 <node CREATED="1171015856280" ID="Freemind_Link_83566645" LINK="../profiles/default/layouts/student_change_password.xml" MODIFIED="1172016516654" TEXT="Layout: student_change_password"/>
 </node>
-</node>
-</node>
-</node>
-<node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
+<node CREATED="1171379710053" ID="Freemind_Link_250586527" MODIFIED="1172136136294" TEXT="set_access_data">
+<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="Script: set_access_data"/>
+<node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_accommodation/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
+<node CREATED="1171379759850" ID="Freemind_Link_1672896645" LINK="../profiles/default/schemas/student_returning.xml" MODIFIED="1172136395249" TEXT="Schema: student_returning"/>
+<node CREATED="1171015856280" ID="Freemind_Link_1275916157" LINK="../profiles/default/layouts/student_session_returning.xml" MODIFIED="1172136363694" TEXT="Layout: student_session_results_search"/>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082502675" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
 <node CREATED="1171710631948" ID="Freemind_Link_161316738" MODIFIED="1171710638848" TEXT="Id: accommodation"/>
 <node CREATED="1171114205479" ID="Freemind_Link_685193459" LINK="../profiles/default/types/AccoFolder.xml" MODIFIED="1171360542032" TEXT="Type: AccoFolder"/>
@@ -142,12 +172,5 @@
 </node>
 <node CREATED="1171381167605" ID="Freemind_Link_370176221" MODIFIED="1171381186185" TEXT="User Interface">
-<node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student">
-<node CREATED="1171362489012" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
-<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="Script: reserve_accommodation"/>
-<node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1171377530623" TEXT="PT: accommodation_pin_edit_form"/>
-<node CREATED="1171124926993" ID="Freemind_Link_59643823" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171377094450" TEXT="Schema: student_accommodation"/>
-<node CREATED="1171124982312" ID="Freemind_Link_1633331359" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1171377120846" TEXT="Layout: student_accommodation_fe"/>
-</node>
-</node>
+<node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student"/>
 <node CREATED="1171381259796" ID="Freemind_Link_43065296" MODIFIED="1171381265497" TEXT="Officer"/>
 </node>