Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1489)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1490)
@@ -104,5 +104,5 @@
 <node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
 </node>
-<node CREATED="1170082392807" FOLDED="true" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
+<node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
 <node CREATED="1170930140692" ID="Freemind_Link_607082969" MODIFIED="1171009488850" TEXT="Id: study_course"/>
 <node CREATED="1170930264337" ID="Freemind_Link_1384807180" LINK="../profiles/default/types/StudentStudyCourse.xml" MODIFIED="1172159914623" TEXT="Type: StudentStudyCourse"/>
Index: WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py	(revision 1490)
+++ WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py	(revision 1490)
@@ -0,0 +1,18 @@
+## Script (Python) "getSessionId"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id$
+"""
+return the Session string 
+"""
+import DateTime
+now = DateTime.DateTime()
+if now.month() > 7:
+    return "%s/%s" % (now.year(),now.year()+1)
+return "%s/%s" % (now.year()-1,now.year())
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1489)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1490)
@@ -10,16 +10,15 @@
 # $Id$
 """
-return Info about the current Student
+return the review_state of the Student
 """
 try:
     from Products.AdvancedQuery import Eq, Between, Le,In
-    evalAQ = context.portal_catalog.evalAdvancedQuery
+    aq_portal = context.portal_catalog.evalAdvancedQuery
 except:
-    evalAdvancedQuery = None
+    aq_portal = None
 student_id = context.getStudentId()
-#res = context.portal_catalog(id = student_id,portal_type='Student')
 query = Eq('id',student_id)
-res = evalAQ(query)
-if not res:# or len(res) > 1:
+res = aq_portal(query)
+if not res:
     return None
-return res[-1].review_state
+return res[0].review_state
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1489)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1490)
@@ -14,5 +14,5 @@
 request = context.REQUEST
 
-wf = context.portal_workflow
+wftool = context.portal_workflow
 path_info = request.get('PATH_INFO').split('/')
 
@@ -47,8 +47,9 @@
 #review_state = wftool.getInfoFor(context,'review_state',None)
 #if review_state != 'content_addable':
-#    context.portal_workflow.doActionFor(context,'close_for_edit')
-
+#    wftool.doActionFor(context,'close_for_edit')
+student_review_state = context.getStudentReviewState()
+may_register = student_review_state in ('shool_fee_payed',)
 #levels.sort()
-#if not levels:
+#if not levels and may_register:
 #    context.invokeFactory('StudentStudyLevel',"%s" % current_level)
 #    level = getattr(context,"%s" % current_level)
Index: WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelForNewStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelForNewStudents.py	(revision 1489)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/fixLevelForNewStudents.py	(revision 1490)
@@ -47,10 +47,14 @@
 ##res = aq_portal(query)
 query = Eq('level','100')
-res = aq_students(query)
+#res = aq_students(query)
+res = students_cat(level='100')
 #set_trace()
 count = 0
+count_full = 0
 commit_count = 0
 logger.info("started for %s students" % len(res))
 for sbrain in res:
+    #count_full += 1
+    #rwrite("%s: %s %s %s <br />" % (count_full,sbrain.id,sbrain.entry_mode,sbrain.level))
     student_obj = getattr(students,sbrain.id)
     if sbrain.entry_mode == "":