Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1495)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1496)
@@ -19,27 +19,9 @@
     </metal:block>
     <metal:main fill-slot="main" tal:condition="python:1">
-      <form action="add_course_result" method="post" class="group">
-        <h3>Add a course</h3>
-        <table>
-          <tr>
-            <th>Course Id</th>
-            <td><input type="text" name="course_id" 
-                       tal:attributes="value request/course_id|nothing"/></td>
-            <td tal:condition="request/error|nothing" 
-                tal:content="request/error" />
-          </tr>
-          <tr>
-            <th></th>
-            <td colspan="2">
-              <input type="submit" name="add"
-                     class="context" value="Add Course" 
-                     />
-            </td>
-          </tr>
-        </table>
-      </form>    
+
       <form action="." method="post" class="group">
         <span tal:condition="info/carry_overs" tal:omit-tag="">
         <h3>Carryover Courses</h3>
+        <br />
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <tr tal:repeat="row info/carry_overs"
@@ -53,13 +35,14 @@
                      />
             </td>
-            <td width="80%" tal:content="row/title"></td>
-            <td width="8%" tal:content="row/code"></td>
-            <td width="2%" tal:content="row/semester"></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/grade|string:"></td>
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/grade|string:"></td>
           </tr>
         </table>
         </span>
         <h3>Session Courses</h3>
+        <br />
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <tr tal:repeat="row info/normal"
@@ -73,14 +56,15 @@
                      />
             </td>
-            <td width="80%" tal:content="row/title"></td>
-            <td width="8%" tal:content="row/code"></td>
-            <td width="2%" tal:content="row/semester"></td>
-            <td width="2%" tal:content="row/credits"></td>
-            <td width="8%" tal:content="row/coe|nothing"></td>
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
           </tr>
           <tr>
             <td colspan="1"></td>
-            <th colspan="3">Total credits</th>
-            <td width="8%" tal:content="info/credits_total"></td>
+            <td colspan="1"></td>
+            <th colspan="2">Total Credits:</th>
+            <td align="center" width="2%" tal:content="info/credits_total"></td>
           </tr>
         </table>
@@ -115,4 +99,24 @@
         </table>
       </form>
+      <br />
+      <form action="add_course_result" method="post" class="group">
+        <table>
+          <tr>
+            <th>Course Id</th>
+            <td><input type="text" name="course_id" 
+                       tal:attributes="value request/course_id|nothing"/></td>
+            <td tal:condition="request/error|nothing" 
+                tal:content="request/error" />
+          </tr>
+          <tr>
+            <th></th>
+            <td colspan="2">
+              <input type="submit" name="add"
+                     class="context" value="Add Course" 
+                     />
+            </td>
+          </tr>
+        </table>
+      </form>          
     </metal:main>
   </metal:body>