Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1490)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1501)
@@ -1,12 +1,26 @@
-<map version="0.9.0_Beta_8">
+<map version="0.8.0">
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
-<node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1171711313968" TEXT="WAeUP SRP Architecture">
-<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" POSITION="right" TEXT="Directories">
-<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
-<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
-<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
-<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
-</node>
-<node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" POSITION="right" TEXT="Campus">
+<node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
+<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="left" TEXT="Glossary"/>
+<node CREATED="1172489529057" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
+<node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
+<node CREATED="1172001324877" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
+<node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
+<node CREATED="1172001340812" ID="Freemind_Link_1612370167" LINK="../profiles/default/layouts.xml" MODIFIED="1172001506077" TEXT="portal_layouts"/>
+<node CREATED="1172001340812" ID="Freemind_Link_7840481" LINK="../profiles/default/schemas.xml" MODIFIED="1172001572800" TEXT="portal_schemas"/>
+<node CREATED="1172001340812" ID="Freemind_Link_1164818739" LINK="../profiles/default/types.xml" MODIFIED="1172001612293" TEXT="portal_types"/>
+</node>
+</node>
+<node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
+<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
+<node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
+<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
+<node CREATED="1171712063356" ID="Freemind_Link_1865945880" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
+<node CREATED="1171712077046" ID="Freemind_Link_1703381403" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
+<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
+<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
+<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
+</node>
+<node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
 <node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
@@ -54,5 +68,5 @@
 <node CREATED="1171124982312" ID="Freemind_Link_1037588671" LINK="../profiles/default/layouts/student.xml" MODIFIED="1171353165422" TEXT="Layout: student"/>
 <node CREATED="1171353188624" ID="Freemind_Link_1032185087" LINK="../profiles/default/workflows/waeup_student_wf/definition.xml" MODIFIED="1171353319663" TEXT="Workflow: waeup_student_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172156562631" TEXT="Grafik"/>
+<node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172486913476" TEXT="Diagram"/>
 </node>
 <node CREATED="1170082164451" ID="Freemind_Link_1627718074" MODIFIED="1171894825978" TEXT="Accommodation Data">
@@ -61,8 +75,8 @@
 <node CREATED="1170083649773" ID="Freemind_Link_1139787187" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171895045243" TEXT="Schema: student_accommodation"/>
 <node CREATED="1171353188624" ID="Freemind_Link_1027526284" LINK="../profiles/default/workflows/waeup_student_accommodation_wf/definition.xml" MODIFIED="1172163355400" TEXT="Workflow: waeup_student_accommodation_wf"/>
-<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1172157052630" TEXT="UserInterface">
-<node CREATED="1172157054665" ID="Freemind_Link_123552519" MODIFIED="1172157080893" TEXT="Students">
+<node CREATED="1170883343230" ID="Freemind_Link_158025710" MODIFIED="1172157052630" TEXT="User Interface">
+<node CREATED="1172157054665" ID="Freemind_Link_123552519" MODIFIED="1172488186216" TEXT="Student">
 <node CREATED="1171362489012" ID="Freemind_Link_875925244" MODIFIED="1171376833636" TEXT="reserve_accommodation">
-<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="Script: reserve_accommodation"/>
+<node CREATED="1171362515581" ID="Freemind_Link_1380319587" LINK="../skins/waeup_accommodation/reserve_accommodation.py" MODIFIED="1171376963675" TEXT="PY: reserve_accommodation"/>
 <node CREATED="1171362924343" ID="Freemind_Link_1031270994" LINK="../skins/waeup_accommodation/accommodation_pin_edit_form.pt" MODIFIED="1172163898958" TEXT="PT: accommodation_pin_edit_form"/>
 <node CREATED="1171124926993" ID="Freemind_Link_59643823" LINK="../profiles/default/schemas/student_accommodation.xml" MODIFIED="1171377094450" TEXT="Schema: student_accommodation"/>
@@ -70,5 +84,5 @@
 </node>
 </node>
-<node CREATED="1172160956421" ID="Freemind_Link_1200464160" MODIFIED="1172160963595" TEXT="Officers">
+<node CREATED="1172160956421" ID="Freemind_Link_1200464160" MODIFIED="1172488188590" TEXT="Officer">
 <node CREATED="1172160965772" ID="Freemind_Link_1519551515" LINK="../skins/waeup_accommodation/change_bed.py" MODIFIED="1172162566492" TEXT="change_bed"/>
 <node CREATED="1172160986371" ID="Freemind_Link_193689339" LINK="../skins/waeup_accommodation/release_bed.py" MODIFIED="1172162574968" TEXT="release_bed"/>
@@ -81,23 +95,33 @@
 <node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
 <node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
-<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="Userinterface">
+<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172163941857" TEXT="application_view"/>
-<node CREATED="1172163808013" ID="Freemind_Link_1401098992" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172163957342" TEXT="application_slip"/>
-<node CREATED="1172163996819" ID="Freemind_Link_831789893" MODIFIED="1172164000950" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172164067504" TEXT="application_edit_form">
-<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172164181673" TEXT="Layout: student_application_fe"/>
-</node>
-<node CREATED="1172164034257" ID="Freemind_Link_730244959" MODIFIED="1172164034257" TEXT=""/>
-</node>
-</node>
-</node>
-</node>
-<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_812719734" MODIFIED="1171711167338" TEXT="Clearance Data">
+<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172487948615" TEXT="Layout: student_application_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" ID="Freemind_Link_1257369345" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_1401098992" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
+<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172488862899" TEXT="PT: application_view"/>
+</node>
+<node CREATED="1172488821089" ID="Freemind_Link_1638658780" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
+</node>
+</node>
+<node CREATED="1170883352226" ID="Freemind_Link_286219707" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" ID="Freemind_Link_1209895790" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
+<node CREATED="1172488875157" ID="Freemind_Link_77093197" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_1922836083" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" ID="Freemind_Link_679732160" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_165622352" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" ID="Freemind_Link_534028031" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+</node>
+</node>
+<node CREATED="1170082180802" ID="Freemind_Link_812719734" MODIFIED="1171711167338" TEXT="Clearance Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1823044370" MODIFIED="1170862044390" TEXT="Id: clearance"/>
 <node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
 </node>
-<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
+<node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
 <node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
@@ -130,8 +154,8 @@
 </node>
 </node>
-<node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="Userinterface">
+<node CREATED="1171379675232" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="User Interface">
 <node CREATED="1171379691280" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
 <node CREATED="1171379710053" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
-<node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="Script: add_student"/>
+<node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="PY: add_student"/>
 <node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1171382378983" TEXT="PT: student_create_form"/>
 <node CREATED="1171379759850" ID="Freemind_Link_435667013" LINK="../profiles/default/schemas/student_create.xml" MODIFIED="1171380077013" TEXT="Schema: student_create"/>
@@ -141,5 +165,5 @@
 <node CREATED="1172016304181" ID="Freemind_Link_831833270" MODIFIED="1172016314036" TEXT="Students">
 <node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_413720849" MODIFIED="1172016338320" TEXT="change_password">
-<node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="Script: change_password"/>
+<node CREATED="1171379737777" ID="Freemind_Link_1193425802" MODIFIED="1172016370425" TEXT="PY: change_password"/>
 <node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1172016392094" TEXT="PT: change_password_form"/>
 <node CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1172016494768" TEXT="Schema: student_change_password"/>
@@ -147,5 +171,5 @@
 </node>
 <node CREATED="1171379710053" ID="Freemind_Link_250586527" MODIFIED="1172136136294" TEXT="set_access_data">
-<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="Script: set_access_data"/>
+<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="PY: set_access_data"/>
 <node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_accommodation/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
 <node CREATED="1171379759850" ID="Freemind_Link_1672896645" LINK="../profiles/default/schemas/student_returning.xml" MODIFIED="1172136395249" TEXT="Schema: student_returning"/>
@@ -162,7 +186,7 @@
 <node CREATED="1171124926993" ID="Freemind_Link_108322260" LINK="../profiles/default/schemas/acco_hall.xml" MODIFIED="1171361085015" TEXT="Schema: acco_hall"/>
 <node CREATED="1171124982312" ID="Freemind_Link_378355401" LINK="../profiles/default/layouts/acco_hall.xml" MODIFIED="1171361118597" TEXT="Layout: acco_hall"/>
-<node CREATED="1171362437684" ID="Freemind_Link_1642729597" MODIFIED="1171362486789" TEXT="UserInterface">
+<node CREATED="1171362437684" ID="Freemind_Link_1642729597" MODIFIED="1171362486789" TEXT="User Interface">
 <node CREATED="1171362489012" ID="Freemind_Link_550352037" MODIFIED="1171362509942" TEXT="book_reserved_bed">
-<node CREATED="1171362515581" ID="Freemind_Link_213666573" LINK="../skins/waeup_accommodation/book_reserved_bed.py" MODIFIED="1171362598179" TEXT="Script: book_reserved_bed"/>
+<node CREATED="1171362515581" ID="Freemind_Link_213666573" LINK="../skins/waeup_accommodation/book_reserved_bed.py" MODIFIED="1171362598179" TEXT="PY: book_reserved_bed"/>
 <node CREATED="1171362924343" ID="Freemind_Link_1340566317" LINK="../skins/waeup_accommodation/book_reserved_bed_form.pt" MODIFIED="1171363012800" TEXT="PT: book_reserved_bed_form"/>
 <node CREATED="1171124926993" ID="Freemind_Link_320666824" LINK="../profiles/default/schemas/acco_bed_booking.xml" MODIFIED="1171362834619" TEXT="Schema: acco_bed_booking"/>
@@ -186,20 +210,9 @@
 </node>
 </node>
-<node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" POSITION="right" TEXT="Catalogs">
-<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
-<node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
-<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
-<node CREATED="1171712063356" ID="Freemind_Link_1865945880" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
-<node CREATED="1171712077046" ID="Freemind_Link_1703381403" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
-<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
-<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
-<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
-</node>
-<node CREATED="1172001308558" ID="Freemind_Link_1997267023" MODIFIED="1172001322577" POSITION="right" TEXT="profiles">
-<node CREATED="1172001324877" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
-<node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
-<node CREATED="1172001340812" ID="Freemind_Link_1612370167" LINK="../profiles/default/layouts.xml" MODIFIED="1172001506077" TEXT="portal_layouts"/>
-<node CREATED="1172001340812" ID="Freemind_Link_7840481" LINK="../profiles/default/schemas.xml" MODIFIED="1172001572800" TEXT="portal_schemas"/>
-<node CREATED="1172001340812" ID="Freemind_Link_1164818739" LINK="../profiles/default/types.xml" MODIFIED="1172001612293" TEXT="portal_types"/>
+<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
+<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
+<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
+<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
+<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
 </node>
 </node>