Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1508)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1509)
@@ -2,7 +2,11 @@
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
-<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="left" TEXT="Glossary"/>
+<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
+<node CREATED="1172588742298" ID="Freemind_Link_495359346" MODIFIED="1172588781755" TEXT="Field Names (Attributes)"/>
+<node CREATED="1172588782286" ID="Freemind_Link_1234262632" LINK="../profiles/default/types.xml" MODIFIED="1172588916308" TEXT="Types"/>
+<node CREATED="1172588791669" ID="Freemind_Link_832896495" MODIFIED="1172588797948" TEXT="Labels"/>
+</node>
 <node CREATED="1172489529057" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
-<node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
+<node CREATED="1172001308558" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
 <node CREATED="1172001324877" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
 <node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
@@ -22,7 +26,13 @@
 <node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
 </node>
+<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
+<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
+<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
+<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
+<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
+</node>
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
-<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
+<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
 <node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
 <node CREATED="1170080366716" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
@@ -35,5 +45,5 @@
 <node CREATED="1171125727127" ID="Freemind_Link_481382280" LINK="../profiles/default/layouts/department.xml" MODIFIED="1171125762591" TEXT="Layout: department"/>
 <node CREATED="1170080420252" ID="Freemind_Link_290613406" MODIFIED="1171710340659" TEXT="Courses">
-<node CREATED="1171710086403" ID="Freemind_Link_241779697" MODIFIED="1171710094365" TEXT="Type: CoursesFolder"/>
+<node CREATED="1171710086403" ID="Freemind_Link_241779697" LINK="../profiles/default/types/CoursesFolder.xml" MODIFIED="1172589332547" TEXT="Type: CoursesFolder"/>
 <node CREATED="1171710355390" ID="Freemind_Link_118311151" MODIFIED="1171710361439" TEXT="Id: courses"/>
 <node CREATED="1171710129425" ID="Freemind_Link_768683630" MODIFIED="1171710143816" TEXT="{Courses}">
@@ -44,5 +54,5 @@
 </node>
 <node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
-<node CREATED="1171710395037" ID="Freemind_Link_404484787" MODIFIED="1171710414836" TEXT="Type: CertificatesFolder"/>
+<node CREATED="1171710395037" ID="Freemind_Link_404484787" LINK="../profiles/default/types/CertificatesFolder.xml" MODIFIED="1172589301562" TEXT="Type: CertificatesFolder"/>
 <node CREATED="1171710418961" ID="Freemind_Link_1593662067" MODIFIED="1171710429717" TEXT="Id: certificates"/>
 <node CREATED="1171710430588" ID="Freemind_Link_749193871" MODIFIED="1171710447703" TEXT="{Certificates}">
@@ -95,23 +105,23 @@
 <node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
 <node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
-<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172487948615" TEXT="Layout: student_application_fe" VSHIFT="2"/>
-<node CREATED="1172488817664" ID="Freemind_Link_1257369345" MODIFIED="1172488820358" TEXT="view">
-<node CREATED="1172163808013" ID="Freemind_Link_1401098992" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
-<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172488862899" TEXT="PT: application_view"/>
-</node>
-<node CREATED="1172488821089" ID="Freemind_Link_1638658780" MODIFIED="1172488823242" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
-</node>
-</node>
-<node CREATED="1170883352226" ID="Freemind_Link_286219707" MODIFIED="1172488273241" TEXT="Officer">
-<node CREATED="1171124982312" ID="Freemind_Link_1209895790" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
-<node CREATED="1172488875157" ID="Freemind_Link_77093197" MODIFIED="1172488877500" TEXT="view">
-<node CREATED="1172163808013" ID="Freemind_Link_1922836083" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
-</node>
-<node CREATED="1172488878061" ID="Freemind_Link_679732160" MODIFIED="1172488879643" TEXT="edit">
-<node CREATED="1172163808013" ID="Freemind_Link_165622352" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
-<node CREATED="1172163808013" ID="Freemind_Link_534028031" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+<node CREATED="1170883343230" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_accommodation_fe.xml" MODIFIED="1172487948615" TEXT="Layout: student_application_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
+<node CREATED="1172163797590" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1172488862899" TEXT="PT: application_view"/>
+</node>
+<node CREATED="1172488821089" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
+</node>
+</node>
+<node CREATED="1170883352226" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
+<node CREATED="1172488875157" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
 </node>
 </node>
@@ -122,4 +132,28 @@
 <node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1171230143" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1170883343230" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" ID="Freemind_Link_683557361" LINK="../profiles/default/layouts/student_clearance_fe.xml" MODIFIED="1172590208847" TEXT="Layout: student_clearance_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_998434555" LINK="../skins/waeup_student/clearance_slip.pt" MODIFIED="1172590222186" TEXT="PT: clearance_slip"/>
+<node CREATED="1172163797590" ID="Freemind_Link_1824516563" LINK="../skins/waeup_student/clearance_view.pt" MODIFIED="1172590230228" TEXT="PT: clearance_view"/>
+</node>
+<node CREATED="1172488821089" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_113324006" LINK="../skins/waeup_student/clearance_edit_form.pt" MODIFIED="1172590237488" TEXT="PT: clearance_edit_form"/>
+</node>
+</node>
+<node CREATED="1170883352226" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" ID="Freemind_Link_1920730860" LINK="../profiles/default/layouts/student_clearance.xml" MODIFIED="1172590245309" TEXT="Layout: student_clearance" VSHIFT="2"/>
+<node CREATED="1172488875157" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+<node CREATED="1172590261873" ID="Freemind_Link_548109147" MODIFIED="1172590269785" TEXT="ClearanceOfficer"/>
+</node>
 </node>
 <node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
@@ -127,4 +161,26 @@
 <node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
 <node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1826722808" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1171124982312" ID="Freemind_Link_619763911" LINK="../profiles/default/layouts/student_personal_fe.xml" MODIFIED="1172590156902" TEXT="Layout: student_personal_fe" VSHIFT="2"/>
+<node CREATED="1172488817664" ID="Freemind_Link_1257369345" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172163797590" ID="Freemind_Link_1400026339" LINK="../skins/waeup_student/personal_view.pt" MODIFIED="1172590109564" TEXT="PT: personal_view"/>
+</node>
+<node CREATED="1172488821089" ID="Freemind_Link_1638658780" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_1344729975" LINK="../skins/waeup_student/personal_edit_form.pt" MODIFIED="1172590121682" TEXT="PT: personal_edit_form"/>
+</node>
+</node>
+<node CREATED="1170883352226" ID="Freemind_Link_286219707" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1171124982312" ID="Freemind_Link_1209895790" LINK="../profiles/default/layouts/student_personal.xml" MODIFIED="1172590168539" TEXT="Layout: student_personal" VSHIFT="2"/>
+<node CREATED="1172488875157" ID="Freemind_Link_77093197" MODIFIED="1172488877500" TEXT="view">
+<node CREATED="1172163808013" ID="Freemind_Link_1922836083" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
+</node>
+<node CREATED="1172488878061" ID="Freemind_Link_679732160" MODIFIED="1172488879643" TEXT="edit">
+<node CREATED="1172163808013" ID="Freemind_Link_165622352" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
+<node CREATED="1172163808013" ID="Freemind_Link_534028031" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
+</node>
+</node>
+</node>
 </node>
 <node CREATED="1170082392807" ID="Freemind_Link_1979443941" MODIFIED="1171711179966" TEXT="Study Course">
@@ -133,4 +189,5 @@
 <node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
 <node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1172157227132" TEXT="Layout: student_study_course"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1421234009" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
 <node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1172160254466" TEXT="StudentStudyLevels">
 <node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
@@ -200,5 +257,5 @@
 </node>
 </node>
-<node CREATED="1170082542534" FOLDED="true" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
+<node CREATED="1170082542534" ID="Freemind_Link_243354429" MODIFIED="1171710670383" TEXT="Pin Section">
 <node CREATED="1171710956294" ID="Freemind_Link_1564638284" MODIFIED="1171710960600" TEXT="Type: ScratchCardBatchesFolder"/>
 <node CREATED="1171710648131" ID="Freemind_Link_1115846656" MODIFIED="1171710654941" TEXT="Id: pins"/>
@@ -210,10 +267,4 @@
 </node>
 </node>
-<node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
-<node CREATED="1171711958926" ID="Freemind_Link_799041044" MODIFIED="1171711970903" TEXT="Id: portal_directories"/>
-<node CREATED="1171711971274" ID="Freemind_Link_1378447478" MODIFIED="1171712308118" TEXT="Members"/>
-<node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
-<node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
-</node>
 </node>
 </node>