Index: WAeUP_SRP/trunk/PatchCPSUserFolderUserFolder.py
===================================================================
--- WAeUP_SRP/trunk/PatchCPSUserFolderUserFolder.py	(revision 1514)
+++ WAeUP_SRP/trunk/PatchCPSUserFolderUserFolder.py	(revision 1515)
@@ -74,5 +74,5 @@
             real_object = real_object.im_self
         if hasattr(real_object,'portal_type') and\
-                   real_object.portal_type not in ("Student","StudentClearance"):
+                   real_object.portal_type not in ("Student","StudentClearance","StudentStudyLevel"):
             break
         sc = getattr(real_object,'study_course',None)
@@ -98,10 +98,10 @@
                                                 faculty = fac_id,
                                                 department = dep_id,
-                                                )  
-                                                          
-            
+                                                )
+
+
         res = self.portal_catalog(portal_type="Department",id=dep_id)
         if len(res) != 1:
-            break        
+            break
         dynamic_roles = self.getRolesInContext(res[0].getObject())
         for dr in ('ClearanceOfficer','CourseAdviser', 'SectionManager'):
Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 1514)
+++ WAeUP_SRP/trunk/Students.py	(revision 1515)
@@ -23,5 +23,5 @@
 MAX_TRANS = 1000
 import DateTime
-import PIL.Image
+# import PIL.Image
 from StringIO import StringIO
 
Index: WAeUP_SRP/trunk/exportimport.py
===================================================================
--- WAeUP_SRP/trunk/exportimport.py	(revision 1514)
+++ WAeUP_SRP/trunk/exportimport.py	(revision 1515)
@@ -89,4 +89,6 @@
             students.manage_setLocalGroupRoles(groupid = 'ClearanceOfficers',
                                               roles=('SectionReader',))
+            students.manage_setLocalGroupRoles(groupid = 'CourseAdvisers',
+                                              roles=('SectionReader',))                                              
             students.manage_setLocalGroupRoles(groupid='MemberAdmins',
                                          roles=('SectionOfficer',))
@@ -111,5 +113,5 @@
     if waeup_stacking_dir is not None:
         waeup_stacking_dir.manage_setLocalGroupRoles(groupid='MemberAdmins',
-                                         roles=('SectionOfficer',))                                         
+                                         roles=('SectionOfficer',))
 
 ##    pm.setLocalGroupRoles(campus.academics,['role:Authenticated',
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 1514)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 1515)
@@ -12,7 +12,9 @@
   <exit-transition transition_id="open"/>
   <permission-map name="Add portal content" acquired="True">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>Manager</permission-role>
    <permission-role>SectionManager</permission-role>
@@ -21,7 +23,9 @@
                   acquired="True">
    <permission-role>ClearanceOfficer</permission-role>
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="View" acquired="True">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
@@ -32,8 +36,10 @@
   <exit-transition transition_id="open"/>
   <permission-map name="Add portal content" acquired="True">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>Owner</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>Manager</permission-role>
    <permission-role>Owner</permission-role>
@@ -43,7 +49,9 @@
   <permission-map name="Modify portal content"
                   acquired="True">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
   <permission-map name="View" acquired="True">
+   <permission-role>CourseAdviser</permission-role>
    <permission-role>SectionOfficer</permission-role>
   </permission-map>
@@ -101,4 +109,5 @@
    <guard-role>SectionManager</guard-role>
    <guard-role>Owner</guard-role>
+   <guard-role>CourseAdviser</guard-role>
   </guard>
  </transition>
@@ -112,4 +121,5 @@
    <guard-role>SectionManager</guard-role>
    <guard-role>Owner</guard-role>
+   <guard-role>CourseAdviser</guard-role>
   </guard>
  </transition>
@@ -141,4 +151,5 @@
    <guard-role>SectionManager</guard-role>
    <guard-role>Owner</guard-role>
+   <guard-role>CourseAdviser</guard-role>
   </guard>
  </transition>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1514)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1515)
@@ -110,5 +110,5 @@
  </state>
  <state state_id="courses_registered" title="">
-  <exit-transition transition_id="notify_change_courses"/>
+  <exit-transition transition_id="reject_courses"/>
   <exit-transition transition_id="validate_courses"/>
   <permission-map name="View" acquired="True">
@@ -118,4 +118,5 @@
  </state>
  <state state_id="courses_validated" title="">
+  <exit-transition transition_id="reject_courses"/>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -226,5 +227,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -237,5 +238,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -248,5 +249,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -259,5 +260,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -271,5 +272,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -283,5 +284,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -294,5 +295,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -305,5 +306,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -316,18 +317,8 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="notify_change_courses" title=""
-             new_state="school_fee_paid" trigger="USER"
-             before_script="" after_script="">
-
-  <guard>
-   <guard-role>CourseAdviser</guard-role>
+  
+  <guard>
+   <guard-role>SectionOfficer</guard-role>
+   <guard-role>ClearanceOfficer</guard-role>
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
@@ -337,5 +328,5 @@
              new_state="school_fee_paid" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -348,5 +339,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -359,5 +350,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -370,5 +361,5 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -382,6 +373,7 @@
              new_state="courses_registered" trigger="USER"
              before_script="" after_script="">
-
-  <guard>
+  
+  <guard>
+   <guard-role>CourseAdviser</guard-role>
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
@@ -392,5 +384,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -403,8 +395,19 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>ClearanceOfficer</guard-role>
+  
+  <guard>
+   <guard-role>SectionOfficer</guard-role>
+   <guard-role>ClearanceOfficer</guard-role>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="reject_courses" title=""
+             new_state="school_fee_paid" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>CourseAdviser</guard-role>
+   <guard-role>SectionOfficer</guard-role>
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
@@ -414,5 +417,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -425,5 +428,5 @@
              new_state="returning" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -435,5 +438,5 @@
              new_state="courses_validated" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -447,5 +450,5 @@
   <description>Time of the last transition</description>
   <default>
-
+   
    <expression>state_change/getDateTime</expression>
   </default>
Index: WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 1514)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 1515)
@@ -24,4 +24,4 @@
 
 if member.id in ("admin","perry"):
-    return ['SectionReader','SectionManager','ClearanceOfficer', 'SectionOfficer']
-return ['SectionReader', 'ClearanceOfficer', 'SectionOfficer']
+    return ['SectionReader','SectionManager','ClearanceOfficer', 'SectionOfficer', 'CourseAdviser']
+return ['SectionReader', 'ClearanceOfficer', 'SectionOfficer', 'CourseAdviser']
Index: WAeUP_SRP/trunk/skins/waeup_default/isCourseAdviser.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/isCourseAdviser.py	(revision 1514)
+++ WAeUP_SRP/trunk/skins/waeup_default/isCourseAdviser.py	(revision 1515)
@@ -16,3 +16,4 @@
 mtool = context.portal_membership
 roles = mtool.getAuthenticatedMember().getRolesInContext(context)
-return context.isSectionOfficer or "ClearanceOfficer" in roles
+return "CourseAdviser" in roles
+
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1514)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1515)
@@ -52,22 +52,27 @@
 student_id = context.getStudentId()
 
+
+
 info = {}
-info['is_student'] = is_student = context.isStudent() 
-info['is_ca'] = is_ca = context.isCourseAdviser() 
+info['is_so'] = is_so = context.isSectionOfficer()
+info['is_student'] = is_student = context.isStudent()
+info['is_ca'] = is_ca = context.isCourseAdviser()
 info['student'] = student = context.students_catalog(id=student_id)[0]
 info['review_state'] = review_state = context.getStudentReviewState()
-info['view_only'] =  review_state != "school_fee_paid" 
-info['show_check_boxes'] =  (is_ca and review_state == 'courses_registered') or (is_student and context.getStudentReviewState() == "school_fee_paid") 
+info['view_only'] =  review_state != "school_fee_paid"
+info['show_check_boxes'] =  (is_ca and review_state in ('courses_registered',)) or\
+                            (is_student and context.getStudentReviewState() == "school_fee_paid") or\
+                            (is_so)
 info['choosen_ids'] = request.get('ids',[])
 info['status_info'] = ""
 if is_student:
-    if review_state == 'courses_registered': 
+    if review_state == 'courses_registered':
         info['status_info'] = "Request for Course Validation pending"
-    elif review_state == 'courses_validated': 
+    elif review_state == 'courses_validated':
         info['status_info'] = "Courses validated"
 elif is_ca:
-    if review_state == 'courses_registered': 
+    if review_state == 'courses_registered':
         info['status_info'] = "Please validate these Courses"
-    elif review_state == 'courses_validated': 
+    elif review_state == 'courses_validated':
         info['status_info'] = "Courses validated"
 info['doc'] = context.getContent()
Index: WAeUP_SRP/trunk/skins/waeup_student/notify_change_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/notify_change_courses.py	(revision 1514)
+++ 	(revision )
@@ -1,34 +1,0 @@
-## Script (Python) "getStudyCourseInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id: getStudyCourseInfo.py 1504 2007-02-26 21:20:40Z henrik $
-"""
-close the Students StudyLevel
-"""
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-request = context.REQUEST
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-member_id = str(member)
-import logging
-logger = logging.getLogger('Student.notify_change_courses')
-
-wftool = context.portal_workflow
-wftool.doActionFor(context,'open')
-wftool.doActionFor(context,'close_for_edit')
-students_folder = context.portal_url.getPortalObject().campus.students
-student = getattr(students_folder,context.getStudentId())
-wftool.doActionFor(student,'notify_change_courses')
-logger.info('"%s","notify change courses for","%s"' % (member,student.getId()))
-return request.RESPONSE.redirect("%s" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1515)
+++ WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1515)
@@ -0,0 +1,34 @@
+## Script (Python) "getStudyCourseInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: getStudyCourseInfo.py 1504 2007-02-26 21:20:40Z henrik $
+"""
+close the Students StudyLevel
+"""
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+request = context.REQUEST
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
+import logging
+logger = logging.getLogger('Student.reject_courses')
+
+wftool = context.portal_workflow
+wftool.doActionFor(context,'open')
+wftool.doActionFor(context,'close_for_edit')
+students_folder = context.portal_url.getPortalObject().campus.students
+student = getattr(students_folder,context.getStudentId())
+wftool.doActionFor(student,'reject_courses')
+logger.info('"%s","rejects course list for","%s"' % (member,student.getId()))
+return request.RESPONSE.redirect("%s" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1514)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1515)
@@ -26,16 +26,17 @@
 
       <h3> 
-        <span tal:condition="is_so">
+        <span tal:condition="python: is_so or is_ca">
           <span tal:content="info/student/name" />:
         </span>
-        <span tal:content="here/title_or_id" />
+        <span tal:condition="is_student">My </span>
+        
+        Course Registration Form for <span tal:content="here/title_or_id" />
       </h3>
-      <br />
+
     </metal:block>
     <metal:main fill-slot="main" tal:condition="python:1">
-      <h3 tal:content="status_info"></h3>
       <form action="." method="post" class="group">
         <span tal:condition="info/carry_overs" tal:omit-tag="">
-        <h3>Carryover Courses</h3>
+        <h4>Carryover Courses</h4>
         <br />
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
@@ -58,6 +59,7 @@
           </tr>
         </table>
-        </span>
-        <h3>Session Courses</h3>
+        </span> 
+        <br />
+        <h4>Session Courses</h4>
         <br />
         <table class="contentListing" width="100%" summary="content layout" id="folder_content">      
@@ -65,5 +67,5 @@
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td align="left" valign="middle" style="width: 5px;"
-	        tal:condition="show_check_boxes">
+	              tal:condition="show_check_boxes">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
                      tal:define="id row/id"
@@ -80,5 +82,5 @@
           </tr>
           <tr>
-            <td colspan="1"></td>
+            <td tal:condition="show_check_boxes" colspan="1"></td>
             <td colspan="1"></td>
             <th colspan="2">Total Credits:</th>
@@ -86,40 +88,34 @@
           </tr>
         </table>
-        <table tal:condition="not:view_only" width="100%" cellspacing="0" cellpadding="2"
+
+        
+      
+        
+        <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
                class="folderButtons">
           <tr>
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="python:1">
-                <input type="button" value="button_select_all" class="context"
-		       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="course_result_delete:method" value="Delete checked"
+                <input type="submit" name="course_result_delete:method" value="Delete Selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('really delete checked courses', )" 
+                       ('Do you really want to delete selected courses?', )" 
                        />
-                <input tal:condition="python:1" type="submit" name="register_courses:method"
-                       class="context" value="Register" />
-                <input tal:condition="is_ca" type="submit" name="notify_change_courses:method"
-                       class="context" value="Reject Courses" />
-                <input tal:condition="python: 1"
+                <input 
                        type="submit" name="refresh_level:method"
-                       class="context" value="Refresh List" 
+                       class="context" value="Check for Courses" 
                        />
-              </span>
+                <br /><br />
+                <input type="submit" name="register_courses:method"
+                       class="context" value="Submit Course List" />
             </td>
           </tr>
         </table>
-        <table tal:condition="python:is_ca and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+        <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
                class="folderButtons">
           <tr>
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="python:1">
-                <input type="button" value="button_select_all" class="context"
+                <input type="button" value="Select All" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
                        i18n:attributes="value"
@@ -127,24 +123,59 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="course_result_delete:method" value="Delete checked"
+                <input type="submit" name="course_result_delete:method" value="Delete Selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
                        ('really delete checked courses', )" 
                        />
-                <input tal:condition="python:1" type="submit" name="validate_courses:method"
-                       class="context" value="Validate" />
-                <input tal:condition="is_ca" type="submit" name="notify_change_courses:method"
-                       class="context" value="Reject Courses" />
-                <input tal:condition="python: 1"
+                <input 
                        type="submit" name="refresh_level:method"
-                       class="context" value="Refresh List" 
+                       class="context" value="Check for Courses" 
                        />
-              </span>
+                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                       class="context" value="Submit Course List" />  
+                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                       class="context" value="Validate List" />
+                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                       class="context" value="Reject Course List" />
+
             </td>
           </tr>
         </table>
+        <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="button" value="Select All" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="submit" name="course_result_delete:method" value="Delete Selected"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       ('really delete checked courses', )" 
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="submit" name="refresh_level:method"
+                       class="context" value="Check for Courses" 
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                       class="context" value="Submit Course List" />  
+                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                       class="context" value="Validate List" />
+                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                       class="context" value="Reject Course List" />
+
+            </td>
+          </tr>
+        </table>
+
       </form>
       <br />
-      <form action="add_course_result" method="post" class="group"
+        <form action="add_course_result" method="post" class="group"
             tal:condition="show_check_boxes">
         <table>
@@ -155,15 +186,11 @@
             <td tal:condition="request/error|nothing" 
                 tal:content="request/error" />
-          </tr>
-          <tr>
-            <th></th>
             <td colspan="2">
               <input type="submit" name="add"
                      class="context" value="Add Course" 
                      />
-            </td>
-          </tr>
+            </td>                
         </table>
-      </form>          
+        </form>         
     </metal:main>
   </metal:body>