Index: WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1515)
+++ WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1516)
@@ -104,5 +104,7 @@
 <node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
 <node CREATED="1170083649773" ID="Freemind_Link_743980261" LINK="../profiles/default/schemas/student_application.xml" MODIFIED="1171009482163" TEXT="Schema: student_application"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1002042622" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1105306468" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
 <node CREATED="1170883343230" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
@@ -132,5 +134,7 @@
 <node CREATED="1170083603042" ID="Freemind_Link_1641808385" LINK="../profiles/default/types/StudentClearance.xml" MODIFIED="1171009882288" TEXT="Type: StudentClearance"/>
 <node CREATED="1170083649773" ID="Freemind_Link_1281565507" LINK="../profiles/default/schemas/student_clearance.xml" MODIFIED="1170958977813" TEXT="Schema: student_clearance"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1171230143" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1171230143" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1817393683" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
 <node CREATED="1170883343230" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" MODIFIED="1172163796143" TEXT="Student">
@@ -161,5 +165,7 @@
 <node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
 <node CREATED="1170083649773" ID="Freemind_Link_329050457" LINK="../profiles/default/schemas/student_personal.xml" MODIFIED="1170959011444" TEXT="Schema: student_personal"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1826722808" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1826722808" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_28070507" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
 <node CREATED="1170883343230" ID="Freemind_Link_1992366565" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" ID="Freemind_Link_1836030474" MODIFIED="1172163796143" TEXT="Student">
@@ -189,5 +195,7 @@
 <node CREATED="1170930285073" ID="Freemind_Link_1989199190" LINK="../profiles/default/schemas/student_study_course.xml" MODIFIED="1171016022394" TEXT="Schema: student_study_course"/>
 <node CREATED="1171015856280" ID="Freemind_Link_86536977" LINK="../profiles/default/layouts/student_study_course.xml" MODIFIED="1172157227132" TEXT="Layout: student_study_course"/>
-<node CREATED="1171353188624" ID="Freemind_Link_1421234009" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf"/>
+<node CREATED="1171353188624" ID="Freemind_Link_1421234009" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
+<node CREATED="1172156481009" ID="Freemind_Link_1231607035" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
+</node>
 <node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1172160254466" TEXT="StudentStudyLevels">
 <node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
Index: WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1515)
+++ WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1516)
@@ -24,4 +24,5 @@
   <element key="intra_faculty_transfer_3" value="WAeUP_Student+Slippage"/>
   <element key="payment_receipt" value="WAeUP_Student+Slippage"/>
+  <element key="courses_validated_slip" value="WAeUP_Student+Slippage"/>
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 1515)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 1516)
@@ -20,5 +20,3 @@
  <item key="cleared_and_validated" msgid="">cleared and validated</item>
  <item key="content_addable" msgid="">content addable</item>
- <item key="bed_reserved" msgid="">bed reserved</item>
- <item key="maintenance_fee_paid" msgid="">maintenance fee paid</item>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1516)
+++ WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 1516)
@@ -0,0 +1,115 @@
+<metal:html tal:define="info context/getStudyLevelInfo;
+                  is_so context/isSectionOfficer;
+                  is_ca info/is_ca;
+                  show_check_boxes info/show_check_boxes;
+		  is_student info/is_student;
+		  status_info info/status_info;
+		  review_state info/review_state;
+		  view_only info/view_only">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </span>
+      <span tal:condition="info">
+      <h3>Course Registration Slip</h3>
+      <br />
+      <table width="" cellpadding="2" cellspacing="0">
+          <tr>
+            <td valign="top"><span class="dlabel">Name</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/name" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Student Id</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/id" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Matriculation No</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/matric_no" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Faculty Id</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/faculty" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Department Id</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/department" />
+            </td>      
+          </tr>
+          <tr>
+            <td valign="top"><span class="dlabel">Course Id</span>:
+            </td>
+            <td> 
+              <span tal:content="info/student/course" />
+            </td>      
+          </tr>
+      </table>
+
+      <form action="." method="post" class="group">
+        <span tal:condition="info/carry_overs" tal:omit-tag="">
+        <h4>Carryover Courses</h4>
+        <br />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+          <tr tal:repeat="row info/carry_overs"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/grade|string:"></td>
+          </tr>
+        </table>
+        </span>
+        <h4>Session Courses</h4>
+        <br />
+        <table class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row info/normal"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+          </tr>
+          <tr>
+            <td></td>
+            <th colspan="2">Total Credits:</th>
+            <td align="center" width="2%" tal:content="info/credits_total"></td>
+          </tr>
+        </table>
+      </form>
+        <span tal:condition="is_ca">   
+              <br /><br />
+              <table  width=100%>
+              <tr >
+              <td width=50%>Date:</td><td>Date:</td>
+              </tr>
+              </table>
+              
+              <br /><br /><br /><br />
+              <table  width=100%>
+              <tr >
+              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td>
+              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+              </tr>
+              </table>
+         </span>              
+       </span>              
+    </metal:main>
+  </metal:body>
+</metal:html>
+  
Index: WAeUP_SRP/trunk/skins/waeup_student/courses_validated_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/courses_validated_slip.pt	(revision 1515)
+++ 	(revision )
@@ -1,70 +1,0 @@
-<metal:html tal:define="info context/getStudyLevelInfo;
-                  is_so context/isSectionOfficer;
-                  is_ca info/is_ca;
-                  show_check_boxes info/show_check_boxes;
-		  is_student info/is_student;
-		  status_info info/status_info;
-		  review_state info/review_state;
-		  view_only info/view_only">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="info">
-      <h3>Validated Courses Slip</h3>
-      <form action="." method="post" class="group">
-        <span tal:condition="info/carry_overs" tal:omit-tag="">
-        <h3>Carryover Courses</h3>
-        <br />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
-          <tr tal:repeat="row info/carry_overs"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/grade|string:"></td>
-          </tr>
-        </table>
-        </span>
-        <h3>Session Courses</h3>
-        <br />
-        <table class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row info/normal"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
-          </tr>
-          <tr>
-            <td colspan="1"></td>
-            <td colspan="1"></td>
-            <th colspan="2">Total Credits:</th>
-            <td align="center" width="2%" tal:content="info/credits_total"></td>
-          </tr>
-        </table>
-      </form>
-        <span tal:condition="is_ca">   
-              <br /><br />
-              <table  width=100%>
-              <tr >
-              <td width=50%>Date:</td><td>Date:</td>
-              </tr>
-              </table>
-              
-              <br /><br /><br /><br />
-              <table  width=100%>
-              <tr >
-              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td>
-              <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
-              </tr>
-              </table>
-         </span>              
-       </span>              
-    </metal:main>
-  </metal:body>
-</metal:html>
-  
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1515)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1516)
@@ -3,4 +3,5 @@
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
+              info context/getStudentBaseInfo;
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
@@ -29,5 +30,5 @@
             </td>
             <td> 
-              <span tal:content="python:context.getStudentBaseInfo()['student']['name']" />
+              <span tal:content="info/student/name" />
             </td>      
           </tr>
@@ -36,5 +37,5 @@
             </td>
             <td> 
-              <span tal:content="python:context.getStudentBaseInfo()['student']['sex']" />
+              <span tal:content="info/student/sex" />
             </td>      
           </tr>          
@@ -43,5 +44,5 @@
             </td>
             <td> 
-              <span tal:content="python:context.getStudentBaseInfo()['id']" />
+              <span tal:content="info/student/id" />
             </td>      
           </tr>
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1515)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1516)
@@ -17,8 +17,8 @@
               <div style="text-align: right"
              tal:condition="python:review_state == 'courses_validated'">
-        <a href="" target="slip" tal:attributes="href string:courses_validated_slip"
+        <a href="" target="slip" tal:attributes="href string:course_registration_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
             <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Validated Courses Slip
+            Course Registration Slip
         </a>
         