Index: /WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1517)
+++ /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1518)
@@ -24,5 +24,5 @@
   <element key="intra_faculty_transfer_3" value="WAeUP_Student+Slippage"/>
   <element key="payment_receipt" value="WAeUP_Student+Slippage"/>
-  <element key="courses_validated_slip" value="WAeUP_Student+Slippage"/>
+  <element key="course_registration_slip" value="WAeUP_Student+Slippage"/>
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1517)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1518)
@@ -118,5 +118,5 @@
                        class="destructive" 
                        tal:attributes="onclick python:'return window.confirm(\'Do you really want to register for Level %s?\')' % create_level;
-                       value string: Register for Level ${create_level}" 
+                       value string: Register Courses for Level ${create_level}" 
                        />
             </td>
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1517)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1518)
@@ -97,16 +97,15 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-                <input type="submit" name="course_result_delete:method" value="Delete Selected"
+                <input type="submit" name="course_result_delete:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
                        ('Do you really want to delete selected courses?', )" 
                        />
-                <input 
-                       type="submit" name="refresh_level:method"
-                       class="context" value="Check for Courses" 
+                <input type="submit" name="refresh_level:method"
+                       class="context" value="Update" 
                        />
                 <br /><br />
                 <input type="submit" name="register_courses:method"
-                       class="context" value="Submit Course List" />
+                       class="context" value="Submit" />
             </td>
           </tr>
@@ -117,5 +116,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-                <input type="button" value="Select All" class="context"
+                <input type="button" value="Select all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
                        i18n:attributes="value"
@@ -123,5 +122,5 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="course_result_delete:method" value="Delete Selected"
+                <input type="submit" name="course_result_delete:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -130,12 +129,12 @@
                 <input 
                        type="submit" name="refresh_level:method"
-                       class="context" value="Check for Courses" 
+                       class="context" value="Update" 
                        />
                 <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit Course List" />  
+                       class="context" value="Submit" />  
                 <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate List" />
+                       class="context" value="Validate" />
                 <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject Course List" />
+                       class="context" value="Reject" />
 
             </td>
@@ -148,5 +147,5 @@
             <td align="left" valign="top">
                 <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="button" value="Select All" class="context"
+                       type="button" value="Select all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
                        i18n:attributes="value"
@@ -155,5 +154,5 @@
                        />
                 <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="course_result_delete:method" value="Delete Selected"
+                       type="submit" name="course_result_delete:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -162,12 +161,12 @@
                 <input tal:condition="python: review_state == 'school_fee_paid'"
                        type="submit" name="refresh_level:method"
-                       class="context" value="Check for Courses" 
+                       class="context" value="Update" 
                        />
                 <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit Course List" />  
+                       class="context" value="Submit" />  
                 <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate List" />
+                       class="context" value="Validate" />
                 <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject Course List" />
+                       class="context" value="Reject" />
 
             </td>